Package com.io7m.cedarbridge.runtime.api

# Record Class CBIntegerUnsigned64

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64

Record Components:
  `value` - The value

All Implemented Interfaces:
  `CBIntegerType`, `CBSerializableType`, `Comparable<CBIntegerUnsigned64>`, `Formattable`

public record CBIntegerUnsigned64(long value) extends Record implements Comparable<CBIntegerUnsigned64>, CBIntegerType
The type of unsigned 64-bit integers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBIntegerUnsigned64(long value)`
  Creates an instance of a `CBIntegerUnsigned64` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CBIntegerUnsigned64 other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `long`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBIntegerUnsigned64

    public CBIntegerUnsigned64(long value)
    Creates an instance of a `CBIntegerUnsigned64` record class.
    Parameters:
      `value` - the value for the `value` record component

- ## Method Details

  - ### compareTo

    public int compareTo(CBIntegerUnsigned64 other)
    Specified by:
      `compareTo` in interface `Comparable<CBIntegerUnsigned64>`

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public long value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component